yum update

Ahoj, nevíte náhodou někdo co s tím, když nefungují aktualizace software přes aplikace - přestože to stahuje ale nějak se to zasekne a v terminálu to najde spoustu aktulazicí od yum ale napíše mi to, že “zámek youmu drží jiná aplika” pak to čeká na ukončení, vypíše to všechny aktualizace, ale nic se nestane … ? Pavel

Jo, mám fedoru 17

v normálních aktualizacích se to zasekne na “čeká se na zámek správce balíčků” a pak se nic nestane a vypíše to tohle:

Yum is locked by another application. The other process has the command line ‘/usr/bin/python /usr/share/PackageKit/helpers/yum/yumBackend.py simulate-update-packages firefox
15.0-1.fc17
x86_64
updates&xulrunner
15.0-2.fc17
x86_64
updates&abrt
2.0.12-1.fc17
x86_64
updates&abrt-addon-ccpp
2.0.12-1.fc17
x86_64
updates&abrt-addon-kerneloops
2.0.12-1.fc17
x86_64
updates&abrt-addon-python
2.0.12-1.fc17
x86_64
updates&abrt-addon-vmcore
2.0.12-1.fc17
x86_64
updates&abrt-dbus
2.0.12-1.fc17
x86_64
updates&abrt-desktop
2.0.12-1.fc17
x86_64
updates&abrt-gui
2.0.12-1.fc17
x86_64
updates&abrt-libs
2.0.12-1.fc17
x86_64
updates&abrt-retrace-client
2.0.12-1.fc17
x86_64
updates&autocorr-cs
1:3.5.6.2-2.fc17
noarch
updates&autocorr-en
1:3.5.6.2-2.fc17
noarch
updates&btparser
0.18-2.fc17
x86_64
updates&cups
1:1.5.4-2.fc17
x86_64
updates&cups-libs
1:1.5.4-2.fc17
x86_64
updates&fedora-logos
17.0.2-5.fc17
noarch
updates&grub2
1:2.0-0.38.beta6.fc17
x86_64
updates&grub2-tools
1:2.0-0.38.beta6.fc17
x86_64
updates&ibus
1.4.99.20120822-1.fc17
x86_64
updates&ibus-gtk2
1.4.99.20120822-1.fc17
x86_64
updates&ibus-gtk3
1.4.99.20120822-1.fc17
x86_64
updates&ibus-libs
1.4.99.20120822-1.fc17
x86_64
updates&java-1.7.0-openjdk
1:1.7.0.6-2.3.fc17.2
x86_64
updates&libburn
1.2.4-1.fc17
x86_64
updates&libchewing
0.3.3-3.fc17
x86_64
updates&libisofs
1.2.4-1.fc17
x86_64
updates&libmtp
1.1.4-1.fc17
x86_64
updates&libreoffice-base
1:3.5.6.2-2.fc17
x86_64
updates&libreoffice-calc
1:3.5.6.2-2.fc17
x86_64
updates&libreoffice-core
1:3.5.6.2-2.fc17
x86_64
updates&libreoffice-draw
1:3.5.6.2-2.fc17
x86_64
updates&libreoffice-graphicfilter
1:3.5.6.2-2.fc17
x86_64
updates&libreoffice-impress
1:3.5.6.2-2.fc17
x86_64
updates&libreoffice-kde
1:3.5.6.2-2.fc17
x86_64
updates&libreoffice-langpack-cs
1:3.5.6.2-2.fc17
x86_64
updates&libreoffice-opensymbol-fonts
1:3.5.6.2-2.fc17
noarch
updates&libreoffice-pdfimport
1:3.5.6.2-2.fc17
x86_64
updates&libreoffice-presenter-screen
1:3.5.6.2-2.fc17
x86_64
updates&libreoffice-ure
1:3.5.6.2-2.fc17
x86_64
updates&libreoffice-writer
1:3.5.6.2-2.fc17
x86_64
updates&libreport
2.0.13-2.fc17
x86_64
updates&libreport-filesystem
2.0.13-2.fc17
x86_64
updates&libreport-gtk
2.0.13-2.fc17
x86_64
updates&libreport-newt
2.0.13-2.fc17
x86_64
updates&libreport-plugin-bugzilla
2.0.13-2.fc17
x86_64
updates&libreport-plugin-kerneloops
2.0.13-2.fc17
x86_64
updates&libreport-plugin-logger
2.0.13-2.fc17
x86_64
updates&libreport-python
2.0.13-2.fc17
x86_64
updates&lohit-kannada-fonts
2.5.1-2.fc17
noarch
updates&opencc
0.3.0-4.fc17
x86_64
updates&phonon-backend-gstreamer
2:4.6.2-1.fc17
x86_64
updates&selinux-policy
3.10.0-146.fc17
noarch
updates&selinux-policy-devel
3.10.0-146.fc17
noarch
updates&selinux-policy-targeted
3.10.0-146.fc17
noarch
updates&tracker
0.14.2-1.fc17
x86_64
updates&vim-minimal
2:7.3.638-2.fc17
x86_64
updates&yajl
2.0.4-1.fc17
x86_64
updates&abrt-plugin-bodhi
2.0.12-1.fc17
x86_64
updates&ffmpeg-libs
0.11.1-2.fc18
x86_64
rpmfusion-free-rawhide&gstreamer-plugins-ugly
0.10.19-3.fc18
x86_64
rpmfusion-free-rawhide&rpmfusion-free-release
19-0.1
noarch
rpmfusion-free-rawhide&x264-libs
0.124-5.20120616.fc18
x86_64
rpmfusion-free-rawhide&bluez
4.99-2.fc17
x86_64
updates&bluez-cups
4.99-2.fc17
x86_64
updates&bluez-libs
4.99-2.fc17
x86_64
updates’ (PID 4612)

Stává se to ve Fedoře 17 celkem často. Těžko vysvětlit (ode mně). Ale po restartu PC to jde normálně. Popřípadě killnu tu aplikaci která drží ten záměk. V terminálu ti vypíše jeho PID.

Hmmm, divné. Fakto to najednou funguje. Začínají být s tou Fedorou 17 samé problémy. Děkuji za radu.

Jedině zkus deaktivovat automatické aktualizace a jejich kontrolování v aplikaci “Nastavení aktualizací”. A můžeš kontrolovat ručně.
Jinak jaké jiné problémy máš? Klidně je napiš :slight_smile:

Myslím, že to způsobuje to, že yum není výchozí program pro aktualizace v daném grafickém prostředí. V GNOME či KDE je lepší používat pro automatické aktualizace odpovídající program nebo zapsat v nabídce GRUB na řádku se slovem linux parametr 3, stisknout F10 a zavést systém bez grafického rozhraní. Přihlásíte se jako root a pak Vám yum bude fungovat bez problémů.